PDA

View Full Version : How to specify the type of architecture Validation?



jesuraj
06-07-2013, 04:29 PM
Our project contains a mix up of 32-bit and 64-bit files, and we have to package them together. How do I specify the type of architecture validation to support both 32-bit and 64-bit files?

I do have issue when I am trying to build the DVD. I get build error when trying to package, but nothing concrete is found in the build log.
After embedding manifest SetupExe.Admin.manifext into setup.exe, the log says "ISDEV : fatal error 0:"
Media\DVD - 1 error(s), 1 warning(s).

I need help in resolving this. I did not have this issue when I built using IS 2010 and 2012.

hidenori
06-07-2013, 04:49 PM
If you want to mix 32-bit and 64-bit files in a package, choose the Lenient option. Please see the Selecting the Appropriate Type of Architecture Validation for Builds (http://helpnet.flexerasoftware.com/installshield20helplib/installshield20helplib_CSH.htm#helplibrary/ArchValidation.htm) help topic for more information.

Regarding to the fatal build error, did you make any changes to your project after you upgrade it into InstallShield 2013? If you could provide a sample project for us to reproduce the behavior in-house, that would be very helpful.

jesuraj
06-10-2013, 08:48 AM
I verified the architecture validation, it is set as "Lenient";

The .ism file is generated from a xml file.

Originally I upgraded my IS 2010 ism file to IS 2013. Noted the difference and updated the xml file to generate the ism file. The project compiles when I opened the project using the UI, but fails to build. I did remove the deprecated tables, and added the new tables as it was in the .770 files.

Have I missed a step in this?

I am going to revert my changes, and generate the new .ism project, if nothing works. I want to see if there is anything obvious I have missed in doing the manual upgrade.

Any help is very much appreciated.

Thanks.

jesuraj
06-10-2013, 02:32 PM
I reverted my changes and just did an upgrade of IS2010 .ism file to IS 2013 file, and tried to build. I get the same error.

When I upgraded the same .ism file into IS 1012 file, the upgrade was successfull, and I could build it successfully.

I have opened a case with Flexera asking for support.

jesuraj
06-21-2013, 10:07 AM
I did get an answer from the Flexera support team for this ISCEApp table. This table refers to support for Mobile devices. This is deprecated in IS 2013, so my project should be referencing a Mobile Device support and thus the build failure. Now I have to find out where that reference is in our project.

jesuraj
07-25-2013, 09:03 AM
When I uninstalled IS 2013 and re-installed IS 2013, my project got upgraded and it built successfully. Removal of ISCEAPP (mobile device support) did not cause any side issues.